[MISINFORMATION] 2.3.9 rejected from lobby server...

Other talk that doesn't fit elsewhere.
This is for General Discussion, not General chat.
Locked
User avatar
bendib
Regular
Regular
Posts: 1006
Joined: 29 Aug 2010, 05:22
Location: Imeuta
Contact:

[MISINFORMATION] 2.3.9 rejected from lobby server...

Post by bendib » 21 Jan 2013, 07:37

2.3.9 Players: in this thread, hope there is.
Ok, that's just nasty. Not everyone can handle 3.1, Legacy based or otherwise, so you cut them off from their only means to find players? That's literally ethically wrong. :annoyed: :annoyed: :annoyed:

For 2.3.9 players, you can plug your game into warzonelegacy.org for the masterserver part of your config file. Your config file is located either in ~/.warzone2100-2.3/config if on Linux, or My Documents\Warzone 2100 2.3\config on Windows. This is a text editable file. Opening it in Wordpad is preferable if you are a Windows user. This will allow you to use the Warzone 2100 Legacy lobby server. Since Legacy doesn't identify itself different from normal Warzone (besides calling itself 1.0 whatever or microwave whatever) in the lobby, it's going to make things a little confusing :? , however, I find it more important to give you people a "refuge". So go ahead and adjust your configurations if you are still on 2.3.x. I won't tell me if you don't. ;^) I have set up my bot (pr0t0) to guard a channel on freenode called ##wz239 (double pound) where you can chat and find players.

@Devs: If people are still on 2.3 in such numbers, perhaps rather than trying to force them to use a version they might not even be able to run, offer something they CAN run or let them use the old? For a long time, years, 2.2, yes, 2.2 was supported on this server even though it provided a warning.

3.1.x users: Do NOT plug yourself into warzonelegacy.org! Legacy has code that allows it to communicate properly with the different lobby software, 3.1.0 does not and will crash to a desktop frequently. 2.3.x has primitive enough netcode it is not affected by this problem to my knowledge.
Last edited by vexed on 22 Jan 2013, 05:10, edited 5 times in total.
Reason: locking thread because of vast amount of FUD.
Image

User avatar
aubergine
Professional
Professional
Posts: 3459
Joined: 10 Oct 2010, 00:58
Contact:

Re: 2.3.9 rejected from lobby server... (read this 2.3 users

Post by aubergine » 21 Jan 2013, 08:30

Devs have already stated that a patch is being applied to resolve the issue.
"Dedicated to discovering Warzone artefacts, and sharing them freely for the benefit of the community."
-- https://warzone.atlassian.net/wiki/display/GO

AK_ROSH
Greenhorn
Posts: 14
Joined: 21 Jan 2013, 08:26

Re: 2.3.9 rejected from lobby server... (read this 2.3 users

Post by AK_ROSH » 21 Jan 2013, 08:32

Thanks for refuge

User avatar
bendib
Regular
Regular
Posts: 1006
Joined: 29 Aug 2010, 05:22
Location: Imeuta
Contact:

Re: 2.3.9 rejected from lobby server... (read this 2.3 users

Post by bendib » 21 Jan 2013, 08:46

The lobby server blatantly reports that your game is not supported. This is intentional.
Image

User avatar
bendib
Regular
Regular
Posts: 1006
Joined: 29 Aug 2010, 05:22
Location: Imeuta
Contact:

Re: 2.3.9 rejected from lobby server... (read this 2.3 users

Post by bendib » 21 Jan 2013, 09:11

Ok, I set my config back to lobby.wz2100.net for a moment to produce this.

Proof this is an intentional act:
Attachments
239block.png
Image

AK_ROSH
Greenhorn
Posts: 14
Joined: 21 Jan 2013, 08:26

Re: 2.3.9 rejected from lobby server... (read this 2.3 users

Post by AK_ROSH » 21 Jan 2013, 09:33

A developer pointed out that "Maintenance is being performed"

viewtopic.php?f=4&t=10552

But what kind of maintenance?
See this message form lobby..

System message:
Please upgrade your Warzone to 3.1.0! Your version in NOT supported, upgrade ASAP.
See http://wz2100.net.
Goodbye.


What is mean by CAPITAL "NOT" and "ASAP". If its to get attention of 2.3.9 users than what is mean by "Goodbye"

User avatar
bendib
Regular
Regular
Posts: 1006
Joined: 29 Aug 2010, 05:22
Location: Imeuta
Contact:

Re: 2.3.9 rejected from lobby server... (read this 2.3 users

Post by bendib » 21 Jan 2013, 10:35

AK_ROSH wrote:Thanks for refuge
No problem my friend :^)
Image

User avatar
bendib
Regular
Regular
Posts: 1006
Joined: 29 Aug 2010, 05:22
Location: Imeuta
Contact:

Re: 2.3.9 rejected from lobby server... (read this 2.3 users

Post by bendib » 21 Jan 2013, 14:07

AK_ROSH wrote:A developer pointed out that "Maintenance is being performed"

viewtopic.php?f=4&t=10552

But what kind of maintenance?
See this message form lobby..

System message:
Please upgrade your Warzone to 3.1.0! Your version in NOT supported, upgrade ASAP.
See http://wz2100.net.
Goodbye.


What is mean by CAPITAL "NOT" and "ASAP". If its to get attention of 2.3.9 users than what is mean by "Goodbye"
The following is how it comes across to me:

ASAP = As soon as possible
NOT = not, but trying to make sure you see that word

Goodbye = You are not permitted to use a widely popular version of software we wrote to host games on our lobby server that has no technical limitations preventing you from hosting on it, we just coded that part in ourselves. Use our new version that you either don't like, can't run, or both, or we don't want you anymore.

Umm, The devs need to learn to listen to their users or this project will implode like a supergiant star, with a debris field just as vast. I'll admit that at this point I want the deck shuffled a bit, but I certainly don't want THAT.
Image

User avatar
vexed
Inactive
Inactive
Posts: 2538
Joined: 27 Jul 2010, 02:07

Re: [MISINFORMATION] 2.3.9 rejected from lobby server...

Post by vexed » 22 Jan 2013, 04:55

The amount of disinformation you continue to spout out never ceases to amaze me, and I find it utterly disrespectful, childish and petty.
It continues to show your blatant attempts to disparage this project. :annoyed:

At no time were any legitimate games banned from the lobby server, as was seen by wzbot. It did, and still does, show all games that are on the server. The only games that are banned on the lobby server are the ones that have broken the site's rules.
Any and all attempts to host games with inappropriate content is put on the banned list.

As was correctly pointed out, there is a issue that we are trying to find a good workaround for.

The message you see in the screen shot was meant for versions that we no longer support. The extra 'goodbye' was a C&P error.

For the comment about "widely popular" of the unsupported 2.3.9, you are talking about a handful of people.
The vast majority have already upgraded to 3.1.0. There are still some people using other versions as well, and they all get the upgrade message.
If people want to play multiplayer games that are in sync, and isn't as easy to cheat with, then, they need to upgrade to 3.1.0.

Our current priorities are geared toward the current 3.1.0 release and to make that multiplayer playing experience as smooth as possible.
Players of all unsupported versions of Warzone 2100, (2.x) can still play together, the only difference is, they need to join by IP, instead of using the lobby server to exchange that information.

Sorry about that, but as I mentioned, we are trying to find a good solution for the problem at hand.

Thread locked.
/facepalm ...Grinch stole Warzone🙈🙉🙊 contra principia negantem non est disputandum
Super busy, don't expect a timely reply back.

Locked